Subject: Re: Directory named "." created at /: seems to have happened during update
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 1 Mar 2010 12:32:55 +0100
List-Id: <cygwin.cygwin.com>

On Mar  1 11:08, Fergus wrote:
> Weird or what.
> 
> My Cygwin [1.7] is located at the root of a mobile hard drive and a
> simple DOS dir command now shows a directory named . as in
> 
> M:\>dir /ad
>  Volume in drive M has no label.
>  Volume Serial Number is 4B6B-CC15
> 
>  Directory of M:\
> 
> 01/03/2010  08:39    <DIR>          Recycled
> 05/02/2010  09:06    <DIR>          bin
> 05/02/2010  09:06    <DIR>          dev
> 05/02/2010  09:07    <DIR>          etc
> 01/03/2010  07:10    <DIR>          home
> 05/02/2010  09:15    <DIR>          lib
> 05/02/2010  09:15    <DIR>          opt
> 05/02/2010  09:15    <DIR>          sbin
> 05/02/2010  09:15    <DIR>          srv
> 05/02/2010  09:15    <DIR>          tmp
> 05/02/2010  09:55    <DIR>          usr
> 05/02/2010  09:55    <DIR>          var
> 01/03/2010  09:44    <DIR>          .
>                0 File(s)              0 bytes
>               13 Dir(s)   2,571,448,320 bytes free
> 
> The time stamp is identical to the most recent update (python-pyrex
> + lilypond + sysvinit):
> 
> dir \etc\setup \od
> 
> {many files}
> 27/02/2010  07:08               168 mintty.lst.gz
> 01/03/2010  09:42                10 timestamp
> 01/03/2010  09:44               913 python-pyrex.lst.gz
> 01/03/2010  09:44             2,138 lilypond.lst.gz
> 01/03/2010  09:44            69,046 installed.db
> 01/03/2010  09:44               303 sysvinit.lst.gz
> 01/03/2010  09:45               148 setup.rc
> 
> 
> and I can only think that something strange happened during the update.
> 
> Meanwhile, even with a Linux rescue disk, I have no idea how to
> delete the extra directory. Consequences are that DOS commands like
> 
> dir /s
> attrib /s
> 
> result in endlessly nested looped output

Oh boy.  I didn't even know that NT allows that.

That's two bugs in one.  The lilypond package has paths with leading
"./" in it, and setup.exe does not recognize that and remove the dot
path.

For now I have removed the latest lilypond package from the distro.
Jan, can you please fix your package not to have leading ./ in the path?

As for setup.exe, I have to have a look how to avoid that.

What you can try to get rid of the directory is this:

  del \\?\M:\.
  rmdir \\?\M:\.

If that doesn't work, maybe there's a chance to rename the directory
using the \\?\fullpath syntax.  Or, if that doesn't work, maybe you
can at least move the files out of that dir.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple